PDF::API3::Compat::API2::Basic::PDF::Array(3)

NAME
PDF::API3::Compat::API2::Basic::PDF::Array - Corresponds to a PDF array. Inherits from PDF::Objind

INSTANCE VARIABLES
This object is not an array but an associative array containing the array of elements. Thus, there are special instance variables for an array object, beginning with a space

var Contains the actual array of elements

METHODS

  PDF::Array->new($parent, @vals)
Creates an array with the given storage parent and an optional list of values to initialise the array with.

  $a->outobjdeep($fh, $pdf)
Outputs an array as a PDF array to the given filehandle.

  $a->removeobj($elem)
Removes all occurrences of an element from an array.

  $a->elementsof
Returns a list of all the elements in the array. Notice that this is not the array itself but the elements in the array.

  $a->add_elements
Appends the given elements to the array. An element is only added if it is defined.

  $a->val
Returns the value of the array, this is a reference to the actual array containing the elements.

  $a->copy($pdf)
Copies the array with deep-copy on elements which are not full PDF objects with respect to a particular $pdf output context

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 47:
    '=item' outside of any '=over'

Around line 51:
    You forgot a '=back' before '=head1'